<script language="php">
# Elcut       coil.pbm.

#===============================================
#   Elcut
#===============================================
function getELCForceX($x_position)
	{
#0.  
#1.   ,  
#2.  


# 0.  
    $ELC = new COM("ELCUT.Application");		# Elcut
    $pbm = $ELC->Problems->Item(1);	#    
    $pbm->LoadModel(); 				# 
    $mdl = $pbm->Model;				# 
	
#1.      x,   "R" 
	$theVertex = $mdl->Shapes->Vertices->LabeledAs("R","","")->Item(1);
    $theXposition = $theVertex->Point->X;			# x-  "R"
    $theVector = $ELC->PointXY($x_position - $theXposition, 0);	#  
#   2- : "" (), "" ()
#   ,      	
    $theBlock = $mdl->Shapes->Blocks->LabeledAs("","","")->Item(1); #  ""	
    $theBlock->Move(0, $theVector);			# . 0=qfShift, 



#2.  
    $mdl->Shapes->BuildMesh(True, False);	# 
    $mdl->Save();					# 
    if (!($pbm->Solved()))			#,   
		{
        $pbm->SolveProblem();		# 
		};
    $pbm->AnalyzeResults();			# 
    $res = $pbm->Result;	    	#   
    

    $theFieldWindow = $res->GetFieldWindow(1);	#   
    $theContour = $theFieldWindow->Contour;	#  
#plnger consists of 2 blocks: "" (), "" ()
    $theContour->AddBlock1("");		#    ""
    $theContour->AddBlock1("");	#    ""

#   
    $theForce = $res->GetIntegral(15, $theContour)->Value; #15=qfInt_MaxwellForce
	return $theForce->X; 			# x- 
	}

	
	
	

#===============================================
#    
#===============================================

#  
$x_out = 0.01;       	#   , 
$x_in = 0.006;       	#   , 
$m_mass = 0.0045;     	#  , 
$k = 4.0;            	#   , /
$x_spring_free = 0.015;  #    , 


# 
$t_time = 0.0;    	# , 
$x_position = $x_out;  	#  , 
$v_speed = 0.0;         	#  , /


$dt_time_step = 0.005;	#  , 
$max_time = 0.2;        	#   


print "\n<br>"." []	 []	[/]";

while (($t_time < $max_time) and ($x_position > $x_in))
	{
	$theForce = getELCForceX($x_position);				#  
    $theForce += ($x_spring_free - $x_position) * $k;	#   
    $v_speed += $theForce / $m_mass * $dt_time_step; 	#    
    $x_position += $v_speed * $dt_time_step;			#   
	$t_time += $dt_time_step;							#  
	print "\n<br>".$t_time."	".$x_position."	".$v_speed;	#  
	};

</script>